Bug 861939 - [Nouveau] Missing some textures in fbo_firecube, teapot and reflect mesa demos
[Nouveau] Missing some textures in fbo_firecube, teapot and reflect mesa demos
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
19
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 1110323
  Show dependency treegraph
 
Reported: 2012-10-01 08:11 EDT by Martin
Modified: 2015-02-17 09:29 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1110323 (view as bug list)
Environment:
Last Closed: 2015-02-17 09:29:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fbo_firecube (1.62 MB, image/png)
2012-10-01 08:11 EDT, Martin
no flags Details
reflect (296.29 KB, image/png)
2012-10-01 08:12 EDT, Martin
no flags Details

  None (edit)
Description Martin 2012-10-01 08:11:18 EDT
Created attachment 619757 [details]
fbo_firecube

Description of problem:
Missing some textures in fbo_firecube, teapot and reflect mesa demos.

Version-Release number of selected component (if applicable):
xorg-x11-drv-nouveau-1.0.1-6.fc18.x86_64
kernel-3.6.0-0.rc7.git0.1.fc18.x86_64

How reproducible:
always

Steps to Reproduce:
http://fedoraproject.org/wiki/QA:Testcase_radeon_3D_mesa-demos
  
Actual results:
for example: reflect demo - inside faces of cone and cylinder is white.
see screenshots
Comment 1 Martin 2012-10-01 08:12:56 EDT
Created attachment 619758 [details]
reflect
Comment 2 Martin 2012-10-01 08:20:58 EDT
04:00.0 VGA compatible controller: NVIDIA Corporation G98 [Quadro NVS 450] (rev a1)
Comment 3 Vincent Douillet 2013-04-24 12:18:04 EDT
I confirm this bug on the following card : Nvidia Geforce 8400 GS (NV86) (10de:0422)
Using the live test image for the 2013/04/24 Nouveau test day.
Comment 4 Fedora End Of Life 2013-12-21 04:00:01 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Martin 2014-01-02 11:09:04 EST
According to comment #3 it's reproducible in F19.
Comment 7 Michal Domonkos 2014-06-17 08:47:43 EDT
Still present in F20.

kernel-3.11.10-301.fc20.x86_64
xorg-x11-drv-nouveau-1.0.9-2.fc20.x86_64
xorg-x11-server-Xorg-1.14.4-5.fc20.x86_64
Comment 8 Michal Domonkos 2014-06-17 11:31:24 EDT
Just FYI, I upgraded to rawhide and still reproduced.

kernel-3.16.0-0.rc0.git11.1.fc21.x86_64
xorg-x11-server-Xorg-1.15.99.902-8.20140428.fc21.x86_64
xorg-x11-drv-nouveau-1.0.10-4.fc21.x86_64
Comment 10 Fedora End Of Life 2015-01-09 12:23:41 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2015-02-17 09:29:01 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.